KATE(1)

NOM
kate - Éditeur de texte avancé pour KDE

SYNOPSIS

kate [-s, --start nom] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding nom] [-l, --line line] [-c, --column column] [-i, --stdin] [--tempfile] [fichier]

DESCRIPTION

Kate est l'éditeur de texte avancé de KDE.

Kate fournit également la partie éditeur de diverses applications, sous le nom de KWrite.

Parmi quelques-unes des nombreuses fonctionnalités de Kate, il faut citer la coloration syntaxique configurable pour des langages allant du C et du C++ au HTML, en passant par les scripts « bash », la capacité de créer et de maintenir des projets, une interface multi-document (MDI) et un émulateur de terminal indépendant.

Cependant, Kate est beaucoup plus qu'un éditeur pour le programmeur. Sa capacité à ouvrir plusieurs fichiers à la fois en fait l'idéal pour l'édition des nombreux fichiers de configuration d'UNIX®. Ce document a été écrit avec Kate.

OPTIONS

-s, --start nom
    Démarre Kate avec une session donnée.

--startanon
    Démarre Kate avec une nouvelle session anonyme, implique -n.

-n, --new
    Forcer le démarrage d'une nouvelle instance de Kate (est ignoré si start est utilisé et qu'une autre instance de Kate a déjà ouvert la session donnée), forcé si aucun paramètre et aucune URL n'est indiqué nulle part.

-b, --block
    En cas d'utilisation d'une instance de Kate déjà en cours de fonctionnement, bloque jusqu'à ce qu'elle se termine, s'il y a des URL indiqués à ouvrir.

-p, --pid pid
    Essayer uniquement de réutiliser une instance de Kate avec ce pid (ignoré si start est utilisé et qu'une autre instance de Kate a déjà la session ouverte).

-e, --encoding nom
    Définir l'encodage pour le fichier à ouvrir.

    On peut employer cette option pour forcer un fichier ouvert au format « UTF-8 », par exemple. (La commande iconv -l fournit une liste d'encodages, ce qui peut s'avérer utile).

-l, --line ligne
    Se positionner sur cette ligne

-c, --column colonne
    Se positionner sur cette colonne.

-i, --stdin
    Lire le contenu de stdin.

--tempfile
    Les fichiers d'URL ouverts par l'application seront supprimés après utilisation.

fichier
    Fichier à ouvrir.

VOIR ÉGALEMENT
    Une documentation utilisateur plus détaillée est disponible sur help:/kate (Soit ne saisissant cette URL dans Konqueror ou en lançant khelpcenter help:/kate).
    kf5options (7)
    qt5options (7)
    Certaines autres informations sont également disponibles sur le site Internet de Kate[1].

EXEMPLES

Pour ouvrir un fichier nommé source.cpp à la colonne 15, ligne 25, dans une fenêtre Kate existante, on peut employer :

    kate -c 15 -l 25 source.cpp

Si vous possédez une connexion Internet active, vous pouvez tirer profit de la transparence réseau de KDE pour ouvrir un fichier depuis un site « ftp ». Si vous n'avez pas les droits d'accès en écriture sur le serveur distant, le fichier sera ouvert en lecture seule et une invite vous demandera un nom de fichier local sous lequel l'enregistrer en cas de modifications. Si vous avez les droits d'accès en écriture, les modifications seront enregistrées de façon transparente au travers du réseau.

    kate ftp://ftp.kde.org/pub/kde/README

AUTEURS

Le mainteneur de Kate est Christoph Cullmann <cullmann@kde.org>. Une liste exhaustive des auteurs et contributeurs est disponible dans le manuel utilisateur complet mentionné plus haut.

AUTEUR

Lauri Watts <lauri@kde.org>
    Auteur.

NOTES

1.  site Internet de Kate
    http://kate-editor.org/